org.cpsolver.coursett.constraint

## Class RoomConstraint.RoomConstraintContext

- java.lang.Object
- - org.cpsolver.coursett.constraint.RoomConstraint.RoomConstraintContext

- All Implemented Interfaces:
    AssignmentConstraintContext<Lecture,Placement>, AssignmentContext
  Direct Known Subclasses:
    DiscouragedRoomConstraint.DiscouragedRoomConstraintContext
  Enclosing class:
    RoomConstraint

      public class RoomConstraint.RoomConstraintContext
      extends Object
      implements AssignmentConstraintContext<Lecture,Placement>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoomConstraintContext(Assignment<Lecture,Placement> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assigned(Assignment<Lecture,Placement> assignment, Placement placement)` Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
    `Placement` | `getPlacement(int slot, int day)`
    `List<Placement>` | `getPlacements(int slot)`
    `Placement[]` | `getResourceOfWeek(int startDay)`
    `boolean` | `inConflict(Lecture lecture, TimeLocation time)`
    `void` | `unassigned(Assignment<Lecture,Placement> assignment, Placement placement)` Called when `ConstraintWithContext.unassigned(Assignment, long, Value)` is called to update the content of the context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoomConstraintContext

          public RoomConstraintContext(Assignment<Lecture,Placement> assignment)

  - ### Method Detail

    - #### assigned

          public void assigned(Assignment<Lecture,Placement> assignment,
                               Placement placement)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `assigned` in interface `AssignmentConstraintContext<Lecture,Placement>`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `placement` - assigned value

    - #### unassigned

          public void unassigned(Assignment<Lecture,Placement> assignment,
                                 Placement placement)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.unassigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `unassigned` in interface `AssignmentConstraintContext<Lecture,Placement>`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `placement` - unassigned value

    - #### getPlacements

          public List<Placement> getPlacements(int slot)

    - #### getPlacement

          public Placement getPlacement(int slot,
                                        int day)

    - #### getResourceOfWeek

          public Placement[] getResourceOfWeek(int startDay)

    - #### inConflict

          public boolean inConflict(Lecture lecture,
                                    TimeLocation time)